package MpmasProducerOrganizationMILP;

use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use MpmasInputfile;
use MpmasInputBlock;
use MpmasQLConfigReader;
use MpmasQLVariableProcessing;
use CtUtilities qw(numbers_robust_to_sorting);
use MpmasMILPExtra;

our @ISA = qw(MpmasMILPExtra);

sub filename {
	return "MILP".$_[0]->file_suffix;
}

sub prepare_shared {
	my ($self) = @_;
	my $potab = $self->get_global("PRODUCER_ORGANIZATIONS");
	my $me = $self->argument();
	my $fn = $potab->query([$me], 3);
	my $locvarhash = {PO => $me, milp => "3".$me };
	$self->set_milplist(["3".$me]);
	$self->SUPER::prepare_shared($fn, sprintf("3%01d", $me), "/etc/mpmasql/default_po.cll",$locvarhash);		
}



1;
